#include "game.h"
#include <stdio.h>
#include <stdlib.h>
#include <getopt.h>

void print_help () {
    printf ("Usage : <column> <-h|--help>\n");
    printf ("column : unsigned int < 7, the column number to play\n");
    printf ("-h|--help : shows help message\n");
}

void parse_options(int argc, char ** argv) {
    int opt;
    struct option long_options[] = {
        {"help", no_argument, NULL, 'h'},
        {0,0,0,0}
    };
    while ((opt = getopt_long(argc, argv, "hf", long_options, NULL)) != -1) {
        switch (opt) {
            case 'h':
                print_help();
            exit(0);
            case 'f':
                print_help();
            exit(0);
            default:
                print_help();
            exit(1);
        }
    }
}

int main(int argc, char *argv[]) {
    struct board board;
    if (argc == 1) {
        initialize_board(&board);
    } else if (argc == 2) {
        unsigned j = atoi(argv[1]);
        if (j >= 7) {
            fprintf(stderr, "error: argument must be between 0 and 6\n");
            exit(1);
        } else {
            load_board(&board);
            bool can_play = play(&board, j);
            if (!can_play)
                fprintf(stderr, "error: cannot play at %d\n", j);
        }
    } else {
        fprintf(stderr, "error: wrong number of arguments\n");
        exit(1);
    }
    print_board(&board, "");
}
