#include "game.h"
#include <tap.h>
#include <stdio.h>

// Main //
// ---- //

int main(void) {
    struct board board;
    diag("Initialize board\n");
    initialize_board(&board);
    ok(board.player == YELLOW, "first player is yellow");
    print_board(&board, "# ");
    //                      Y  R  Y  R  Y  R  Y  R  Y
    unsigned int moves[] = {2, 3, 3, 2, 1, 2, 3, 0, 6};
    for (unsigned int m = 0; m < 9; ++m) {
        diag("Playing at %d\n", moves[m]);
        play(&board, moves[m]);
    }
    ok(board.player == RED, "current player is red");
    ok(board.cells[5][0] == RED, "board.cells[5][0] is R");
    ok(board.cells[5][1] == YELLOW, "board.cells[5][1] is R");
    ok(board.cells[3][2] == RED, "board.cells[3][2] is R");
    print_board(&board, "# ");
    return 0;
}
